Name:           paperwork
Version:        0.3.2
Release:        %mkrel 3
Summary:        Paperwork is a tool to make papers searchable
License:        GPLv3
Group:          Graphics/Scanning
Url:            https://github.com/jflesch/%{name}
Source0:        https://github.com/jflesch/paperwork/archive/%{version}.tar.gz/#/%{name}-%{version}.tar.gz
Patch0:         paperwork-0.3.2-mga-not-used-dependancy.patch
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  python-pip
BuildRequires:  pkgconfig(python2)
BuildRequires:  jpeg-devel
BuildRequires:  pkgconfig(zlib)
BuildRequires:  lapack-devel
BuildRequires:  libatlas-devel
BuildRequires:  gcc-gfortran
BuildRequires:  gcc-c++
BuildRequires:  python-cython
BuildRequires:  pkgconfig(enchant)
BuildRequires:  glade
BuildRequires:  tesseract
BuildRequires:  python-pyocr
BuildRequires:  poppler
BuildRequires:  python-gtk
BuildRequires:  python-cairo
BuildRequires:  python-gi
BuildRequires:  poppler-devel
BuildRequires:  intltool
# For the convert commande in %%install
BuildRequires:  imagemagick
Requires:       python-pip
Requires:       python-gi
Requires:       python-pillow
Requires:       poppler
Requires:       python-gi-cairo
Requires:       python-enchant
Requires:       saned
Requires:       tesseract
Requires:       python-pycountry
Requires:       python-pyocr
Requires:       python-whoosh
Requires:       python-pyinsane
Requires:       python-levenshtein
Requires:       python-scipy
Requires:       python-simplebayes

%description
Paperwork is a tool to make papers searchable.
The basic idea behind Paperwork is "scan & forget" :
You should be able to just scan a new document and forget about it until the
day you need it again. Let the machine do most of the work.

%prep
%setup -q
%apply_patches

%build
chmod +x localize.sh
sh localize.sh upd-po && sh localize.sh gen-mo
%py2_build

%install
%py2_install
mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
convert -scale 16x16 data/paperwork.svg %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 data/paperwork.svg %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README.markdown
%{_bindir}/*
%{python2_sitelib}/%{name}-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%name/
%{_datadir}/%name/
%{_datadir}/applications/%name.desktop
%{_iconsdir}/%name.svg
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.3.2-3.mga6
+ Revision: 1070635
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.3.2-2.mga6
+ Revision: 1046191
- test rebuild for poppler

* Mon May 09 2016 dglent <dglent> 0.3.2-1.mga6
+ Revision: 1011527
- Version 0.3.2

* Thu Apr 28 2016 daviddavid <daviddavid> 0.2.5-2.mga6
+ Revision: 1007037
- use new python macros

* Sun Dec 20 2015 dglent <dglent> 0.2.5-1.mga6
+ Revision: 912700
- Version 0.2.5

* Mon Jun 22 2015 dglent <dglent> 0.2.4-1.mga6
+ Revision: 839758
- Version 0.2.4
- Drop upstream merged patches:
  * paperwork-0.2-mga-disable-cleanup.patch
  * paperwork-0.2-mga-fix-file-dialog-folder-chooser.patch
  * paperwork-0.2-mga-disable-build-failure-on-runtime-dep-check.patch
- Add notices for the patched introduced upstream

* Wed Oct 15 2014 umeabot <umeabot> 0.2-4.mga5
+ Revision: 739101
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 dglent <dglent> 0.2-3.mga5
+ Revision: 737690
- Add patch (fix file dialog folder chooser)
- Fix file dialog folder chooser
- Bump release
- Add patch to prevent the delete of an empty folder (mga#14154)
- Add desktop file icon in hicolor paths

* Wed Oct 01 2014 dglent <dglent> 0.2-2.mga5
+ Revision: 733774
+ rebuild (emptylog)

* Sun Sep 28 2014 dglent <dglent> 0.2-1.mga5
+ Revision: 731045
- imported package paperwork

